package com.heyu.api.data.entity.system;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*数据-区域
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("system_address")
public class SystemAddressEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.system.SystemAddressEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                     // ID
    public final static String is_delete = CLASS_NAME + "is_delete";        // 
    public final static String create_time = CLASS_NAME + "create_time";    // 
    public final static String modify_time = CLASS_NAME + "modify_time";    // 
    public final static String parent_id = CLASS_NAME + "parent_id";        // 上级ID
    public final static String adcode_ = CLASS_NAME + "adcode";             // adcode
    public final static String padcode_ = CLASS_NAME + "padcode";           // 上级 adcode
    public final static String first_ = CLASS_NAME + "first";               // 首字母
    public final static String short_name = CLASS_NAME + "short_name";      // 区域简称
    public final static String name_ = CLASS_NAME + "name";                 // 区域名称
    public final static String adcode_link = CLASS_NAME + "adcode_link";    // 
    public final static String name_link = CLASS_NAME + "name_link";        // 
    public final static String level_ = CLASS_NAME + "level";               // 区域层级
    public final static String pinyin_ = CLASS_NAME + "pinyin";             // 区域拼音
    public final static String postcode_ = CLASS_NAME + "postcode";         // 区域邮编
    public final static String status_ = CLASS_NAME + "status";             // 使用状态
    public final static String lng_ = CLASS_NAME + "lng";                   // 所在经度
    public final static String lat_ = CLASS_NAME + "lat";                   // 所在纬度
    //ID
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    private Integer isDelete;
    //
    private Date createTime;
    //
    private Date modifyTime;
    //上级ID
    private Long parentId;
    //adcode
    private Integer adcode;
    //上级 adcode
    private Integer padcode;
    //首字母
    private String first;
    //区域简称
    private String shortName;
    //区域名称
    private String name;
    //
    private String adcodeLink;
    //
    private String nameLink;
    //区域层级
    private Integer level;
    //区域拼音
    private String pinyin;
    //区域邮编
    private String postcode;
    //使用状态
    private Integer status;
    //所在经度
    private String lng;
    //所在纬度
    private String lat;
    /**
     * ID 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * ID 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     *  
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     *  
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     *  
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 上级ID 
     * @return
     */
    public Long getParentId() {
        return parentId;
    }
    /**
     * 上级ID 
     * @param parentId
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    /**
     * adcode 
     * @return
     */
    public Integer getAdcode() {
        return adcode;
    }
    /**
     * adcode 
     * @param adcode
     */
    public void setAdcode(Integer adcode) {
        this.adcode = adcode;
    }

    /**
     * 上级 adcode 
     * @return
     */
    public Integer getPadcode() {
        return padcode;
    }
    /**
     * 上级 adcode 
     * @param padcode
     */
    public void setPadcode(Integer padcode) {
        this.padcode = padcode;
    }

    /**
     * 首字母 
     * @return
     */
    public String getFirst() {
        return first;
    }
    /**
     * 首字母 
     * @param first
     */
    public void setFirst(String first) {
        this.first = first;
    }

    /**
     * 区域简称 
     * @return
     */
    public String getShortName() {
        return shortName;
    }
    /**
     * 区域简称 
     * @param shortName
     */
    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    /**
     * 区域名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 区域名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     *  
     * @return
     */
    public String getAdcodeLink() {
        return adcodeLink;
    }
    /**
     *  
     * @param adcodeLink
     */
    public void setAdcodeLink(String adcodeLink) {
        this.adcodeLink = adcodeLink;
    }

    /**
     *  
     * @return
     */
    public String getNameLink() {
        return nameLink;
    }
    /**
     *  
     * @param nameLink
     */
    public void setNameLink(String nameLink) {
        this.nameLink = nameLink;
    }

    /**
     * 区域层级 
     * @return
     */
    public Integer getLevel() {
        return level;
    }
    /**
     * 区域层级 
     * @param level
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 区域拼音 
     * @return
     */
    public String getPinyin() {
        return pinyin;
    }
    /**
     * 区域拼音 
     * @param pinyin
     */
    public void setPinyin(String pinyin) {
        this.pinyin = pinyin;
    }

    /**
     * 区域邮编 
     * @return
     */
    public String getPostcode() {
        return postcode;
    }
    /**
     * 区域邮编 
     * @param postcode
     */
    public void setPostcode(String postcode) {
        this.postcode = postcode;
    }

    /**
     * 使用状态 
     * @return
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 使用状态 
     * @param status
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 所在经度 
     * @return
     */
    public String getLng() {
        return lng;
    }
    /**
     * 所在经度 
     * @param lng
     */
    public void setLng(String lng) {
        this.lng = lng;
    }

    /**
     * 所在纬度 
     * @return
     */
    public String getLat() {
        return lat;
    }
    /**
     * 所在纬度 
     * @param lat
     */
    public void setLat(String lat) {
        this.lat = lat;
    }

    @Override
    public String toString() {
        return "SystemAddressEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",parentId=" + parentId +
                ",adcode=" + adcode +
                ",padcode=" + padcode +
                ",first=" + first +
                ",shortName=" + shortName +
                ",name=" + name +
                ",adcodeLink=" + adcodeLink +
                ",nameLink=" + nameLink +
                ",level=" + level +
                ",pinyin=" + pinyin +
                ",postcode=" + postcode +
                ",status=" + status +
                ",lng=" + lng +
                ",lat=" + lat +
                "}";
    }
}